#include <iostream>

// Declaration de tableaux

int main(void)
{
  /* Declaration d'un tableau statique, a reserver aux cas ou :
	 - la taille du tableau est connue au moment de la compilation
	   (ce n'est pas le resultat d'un calcul) ;
	 - cette taille n'est pas trop grande.

	 Par exemple, si on manipule des coordonnees de points dans
	 l'espace ou le plan, on est amenes a manipuler des tableaux
	 de taille 2 ou 3.
  */
  double tab_stat[20];

  /*
	tab_stat pointe vers le premier element du tableau, les autres etant
	tab_stat+1, tab_stat+2,..., tab_stat+19.
	On accede a la valeur a l'adresse tab_stat+i avec tab_stat[i] (qui
	n'est en fait qu'un raccourci pour *(tab_stat+i), syntaxe peu claire).

	En particulier, tab_stat est de type "pointeur sur double".
  */

  for (int i=0; i<20; i++)
	tab_stat[i] = i*i;
  

  int n = 10000;
  double *tab_dyn;
  tab_dyn = new double[n]; // Tableau dynamique, a utiliser dans les cas ou on ne peut pas utiliser de tableau statique (c'est a dire la plupart du temps).

  for (int i=0;i<n; i++)
	tab_dyn[i]=i*i*i;
  // Un tableau dynamique se manipule comme un tableau statique.

  
  delete []tab_dyn;
  /*
	On doit liberer la memoire allouee aux tableau dynamiques apres
	utilisation (pour ne pas encombrer la memoire).
  */
}
